/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.batch.functionsample.sample001;

import jp.terasoluna.fw.batch.openapi.JobContext;
import jp.terasoluna.batch.functionsample.common.SitenData;

/**
 * リストプロパティ用ジョブコンテキストクラス。
 */
public class Sample001JobContext01 extends JobContext {

    /**
     * シリアルバージョン
     */
    private static final long serialVersionUID = -4475660029710959981L;

    @Override
    public JobContext getChildJobContext(Object partitionKey) {
    
    	//子ジョブ用のジョブコンテキストを作成する
    	JobContext childJobContext = new JobContext();
    	childJobContext.setJobId(super.getJobId());
    	childJobContext.setJobRequestNo(super.getJobRequestNo());
    	childJobContext.setRestarted(super.isRestarted());
    	childJobContext.setStartType(super.getStartType());
    	
    	//分割キーを設定する
    	childJobContext.setPartitionKey(((SitenData)partitionKey).getSitencd());
    	
    	return childJobContext;
    }

}

